Adverti horiz upsell

Nightshade FBX 1.2.1 for Maya (maya script)

Nightshade FBX is an FBX batch exporter for Autodesk Maya

License
Button download
1,139 Downloads

Compatibility

  • 2016, 2015, 2014, 2013, 2012, 2011, 2010, 2009

Operating Systems

  • Mac
  • Windows

History

Created:10/26/2014
Last Modified:08/06/2016
File Size: 5.08 KB

Bugs

Still not running on Maya 2016

Statusactive
Prioritymedium
Date08/01/2016
Submitted byJoshua Joshua
It gives the Following error after Python command has been entered

import NSFBX
reload(NSFBX)
# Warning: The -bs/-borderStyle flag is obsolete and should not be used. # # Error: KeyError: file C:\Program Files\Autodesk\Maya2016.5\Python\lib\site-packages\pymel\core\language.py line 550: menuFBXOptVar #  

Thank you  

Comments on this bug:

  • Quod

    Quod said over 3 years ago:

    All the scripts have been ukloaded for the themes for the candidates. The change of the community phase and rushessay is inducted for the utilization of the goals for the people. The timely success is deposed for the reforms in life.
  • Martin Dahlin

    Martin Dahlin said over 5 years ago:

    Hello This is a common problem with option variables in Maya. If it occurs for more people I'll hotfix around it, but for now you can try this in the script editor under "Python": import pymel.core as pm pm.optionVar["menuFBXOptVar"] = 2014 After executing those two lines you should be able to run NSFBX.
  • Martin Dahlin

    Martin Dahlin said over 5 years ago:

    Please download the hotfix - latest version: v1.2.1 ...and report back how it goes!
  • Joshua

    Joshua said over 5 years ago:

    Hi Martin. The issue is somewhat OK now. Please try to Import an FBX into UE4, using FBX 2014. Unreal Crashes and gives a Fatal Error. Not sure if it respects the FBX format, otherwise it does export .
  • Martin Dahlin

    Martin Dahlin said over 5 years ago:

    This appears to be a general problem - I found this on the unreal boards: https://answers.unrealengine.com/questions/437836/crash-when-importing-fbx.html I'm closing this ticket now as this appears to be unrelated to NSFBX.
  • Joshua

    Joshua said over 5 years ago:

    Hi Martin. This issue is unrelated to what we're seeing. If you export an FBX manually from Maya to UE4 (we're using 4.9 but it's unrelated to the topic) the Mesh imports absolutely fine, with Maya's Native export Selected, FBX options (2014), etc. If however the same mesh, with nothing changed is exported from NSFBX to UE4 at either Import or Re-Import the engine will crash. This happens because of 2 reasons: 1 - The Exporter plug-in isn't respecting and/or enforcing the 2014 FBX version 2 - The Geometry exported was exported with another FBX Version (2015 - 2017). Hope that helps clarify.
  • Martin Dahlin

    Martin Dahlin said over 5 years ago:

    Hello, This is a weird issue. It is possible it is due to some other issue. The value being sent to pm.mel.FBXExportFileVersion() is correct though, as can be verified by placing a print statement before that row: print("FBX version is %s")%FBXver ...and then running NSFBX and exporting. When you export manually in Maya, are you including or excluding animation data?

Post a comment: